# TensorFlow Hub

TensorFlow Hub is a repository and library for reusable machine learning. The
[tfhub.dev](https://tfhub.dev) repository provides many pre-trained models: text
embeddings, image classification models, and more. The `tensorflow_hub` library
lets you download and reuse them in your TensorFlow program with a minimum
amount of code.

Get started with TensorFlow Hub:

-   [Install TensorFlow Hub](installation.md)
-   [TensorFlow Hub in TF2](tf2_saved_model.md)
-   [Legacy: TensorFlow Hub in TF1](tf1_hub_module.md)
-   Tutorials:
    -   [Text classification](https://github.com/tensorflow/hub/blob/master/examples/colab/tf2_text_classification.ipynb)
    -   [Image classification](https://github.com/tensorflow/hub/blob/master/examples/colab/tf2_image_retraining.ipynb)
    -   Additional examples
        [on GitHub](https://github.com/tensorflow/hub/blob/master/examples/README.md)
-   Find models on [tfhub.dev](https://tfhub.dev)
