# Module bohemian-visual-recognition-alliance/models/mushroom-identification_v1/1
Image Classification model for mushroom species identification.


<!-- fine-tunable: true -->
<!-- format: saved_model -->
<!-- asset-path: http://ptak.felk.cvut.cz/personal/picekluk/DanishSvampeAtlas/Inception_v4_saved_model_1.tar.gz -->
<!-- module-type: image-classification -->
<!-- network-architecture: Inception V4 -->
<!-- license: MIT -->
<!-- interactive-model-name: vision -->

## Overview


### Module description

A classification model for mushroom recognition from images built by Bohemian Visual Recognition Alliance.

### Input

This model takes input of images.

* Inputs are expected to be 3-channel RGB color images of size 500 x 500, scaled to [-1, 1].

### Use SavedModel in Python

The model can be loaded in a Python script as follows:

```python
module = hub.Module("https://tfhub.dev/bohemian-visual-recognition-alliance/models/mushroom-identification_v1/1")
height, width = hub.get_expected_image_size(module)
images = ...  # A batch of images with shape [batch_size, height, width, 3].
output_dict = module(images)  # Output dictionary.
```

### License

This model is released under the [MIT](http://ptak.felk.cvut.cz/personal/picekluk/DanishSvampeAtlas/LICENSE) license. If you intend to use it beyond permissible usage, please consult with the model owners ahead of time.


## Citation

When used for publication or production, please cite this model as follows:

https://doi.org/10.26161/k71c-6x55
