# Lite sayakpaul/arbitrary-image-stylization-inceptionv3/dr/transfer/1
TF Lite quantized transfer part of the Arbitrary Style Transfer model.

<!-- parent-model: sayakpaul/arbitrary-image-stylization-inceptionv3/1 -->
<!-- asset-path: https://github.com/sayakpaul/Adventures-in-TensorFlow-Lite/releases/download/v0.4.0/style_transfer_hybrid_tflite.tar.gz -->

[![Open Colab notebook]](https://colab.research.google.com/github/sayakpaul/Adventures-in-TensorFlow-Lite/blob/master/Style_Transfer_Demo_InceptionV3.ipynb)

### Overview
The original work for artistic style transfer with neural networks proposed a slow optimization algorithm that works on any arbitrary painting. Subsequent work developed a method for fast artistic style transfer that may operate in real time, but was limited to one or a limited set of styles.

This module performs fast artistic style transfer that may work on arbitrary painting styles as described in [1].

### Note
- The TensorFlow Lite models were generated from InceptionV3 based model that produces higher quality stylized images at the expense of latency. For faster TensorFlow Lite models, check out [these](https://tfhub.dev/google/magenta/arbitrary-image-stylization-v1-256/2).
- Models were quantized using _dynamic range quantization_ as described [here](https://www.tensorflow.org/lite/performance/post_training_quant).
- This [Colab Notebook](https://colab.research.google.com/github/sayakpaul/Adventures-in-TensorFlow-Lite/blob/master/Magenta_arbitrary_style_transfer_model_conversion.ipynb) shows the TensorFLow Lite model conversion process (includes three different post-training quantization schemes).

### Example use
For a good understanding of the model usage follow the
[sample app](https://github.com/tensorflow/examples/blob/master/lite/examples/style_transfer/android/app/src/main/java/org/tensorflow/lite/examples/styletransfer/StyleTransferModelExecutor.kt)
usage.

### Acknowledgements
Thanks to Khanh LeViet for his constant guidance.

References
--------------
[1] Golnaz Ghiasi, Honglak Lee, Manjunath Kudlur, Vincent Dumoulin, Jonathon Shlens. [Exploring the structure of a real-time, arbitrary neural artistic stylization network](https://arxiv.org/abs/1705.06830). Proceedings of the British Machine Vision Conference (BMVC), 2017.