# Lite sayakpaul/deeplabv3-mobilenetv2_dm05/1/default/1
Lightweight deep learning model for semantic image segmentation.

<!-- parent-model: sayakpaul/deeplabv3-mobilenetv2_dm05/1 -->
<!-- asset-path: https://github.com/sayakpaul/Adventures-in-TensorFlow-Lite/releases/download/v0.1.0/mobilenetv2_dm05_coco_voc_trainval_tflite.tar.gz -->

### Overview
DeepLab is a state-of-art deep learning model for semantic image segmentation, where the goal is to assign semantic labels (e.g. person, dog, cat) to every pixel in the input image. It was published in [1].

### Note
- The TensorFlow Lite model was generated from [`mobilenetv2_dm05_coco_voc_trainval`](http://download.tensorflow.org/models/deeplabv3_mnv2_dm05_pascal_trainval_2018_10_01.tar.gz) checkpoint. More information about the different DeepLabV3 checkpoints is available [here](https://github.com/tensorflow/models/blob/master/research/deeplab/g3doc/model_zoo.md).
- Example usage and TensorFlow Lite conversion process are demonstrated in this [Colab Notebook](https://github.com/sayakpaul/Adventures-in-TensorFlow-Lite/blob/master/DeepLabV3/DeepLab_TFLite_COCO.ipynb).

### Acknowledgements
Thanks to Khanh LeViet for his constant guidance.

References
--------------
[1] [Encoder-Decoder with Atrous Separable Convolution for Semantic Image Segmentation](https://arxiv.org/abs/1802.02611).