# Lite sayakpaul/east-text-detector/int8/1
TF Lite quantized version of the EAST model for text detection from natural scenes.

<!-- parent-model: sayakpaul/east-text-detector/1 -->
<!-- asset-path: https://github.com/sayakpaul/Adventures-in-TensorFlow-Lite/releases/download/v0.6.0/east_model_int8.tar.gz -->

[![Open Colab notebook]](https://colab.research.google.com/github/sayakpaul/Adventures-in-TensorFlow-Lite/blob/master/EAST_TFLite.ipynb)

### Overview
EAST model was proposed [1]. It is one of the first end-to-end neural architectures that supported text detection from natural scenes. 

### Note
- This model was quantized using `int8` quantization (full `int8`) as described [here](https://www.tensorflow.org/lite/performance/post_training_quantization#full_integer_quantization).
- The model is only capable of detecting text. To actually perform OCR, one can further process these results with a library like pytesseract. Refer to [this blog](https://www.pyimagesearch.com/2018/09/17/opencv-ocr-and-text-recognition-with-tesseract/) post if you want to know more.
- The Colab Notebook contains further information on running this model in real-time settings.
- The original model weights were provided in [this blog](https://www.pyimagesearch.com/2018/08/20/opencv-text-detection-east-text-detector/) post by PyImageSearch. 

### Acknowledgements
Thanks to Khanh LeViet for his constant guidance.

References
--------------
[1] Xinyu Zhou, Cong Yao, He Wen, Yuzhi Wang, Shuchang Zhou, Weiran He, and Jiajun Liang. [EAST: An Efficient and Accurate Scene Text Detector](https://arxiv.org/abs/1704.03155). 
