# Module vtab/&zwnj;cond-biggan/1
Visual representation obtained by a class-conditional BigGAN discriminator.

<!-- asset-path: https://storage.googleapis.com/vtab/cond-biggan/1.tar.gz -->
<!-- dataset: ImageNet (ILSVRC-2012-CLS) -->
<!-- module-type: image-feature-vector -->
<!-- network-architecture: BigGAN -->
<!-- fine-tunable: true -->
<!-- format: hub -->


## Overview
Visual representation obtained from the discriminator of a BigGAN trained
for class-conditional image synthesis [1], with publicly available
implementation [2].

#### Usage

```python
module = hub.Module("https://tfhub.dev/vtab/cond-biggan/1")
height, width = hub.get_expected_image_size(module)
images = ...  # A batch of images with shape [batch_size, height, width, 3].
features = module(images)  # Features with shape [batch_size, num_features].
```

The input `images` are expected to have color values in the range [0,1], following
the [common image input](https://www.tensorflow.org/hub/common_signatures/images#input) conventions.
This module is suitable to be fine tuned.

#### References
[1] Andrew Brock, Jeff Donahue, and Karen Simonyan.
[Large Scale GAN Training for High Fidelity Natural Image Synthesis](https://openreview.net/forum?id=B1xsqj09Fm).
In International Conference on Learning Representations, 2019.

[2] Mario Lucic, Michael Tschannen, Marvin Ritter, Xiaohua Zhai, Olivier Bachem, and Sylvain Gelly.
[High-Fidelity Image Generation With Fewer Labels](http://proceedings.mlr.press/v97/lucic19a/lucic19a.pdf).
In International Conference on Machine Learning, 2019.
