# Module vtab/&zwnj;rotation/1
Visual representation obtained by predicting rotation on ImageNet examples.

<!-- asset-path: https://storage.googleapis.com/vtab/rotation/1.tar.gz -->
<!-- dataset: ImageNet (ILSVRC-2012-CLS) -->
<!-- module-type: image-feature-vector -->
<!-- network-architecture: ResNet50-v2 -->
<!-- fine-tunable: true -->
<!-- format: hub -->


## Overview
ResNet50-v2 representation obtained by predicting image rotations [1] on ImageNet examples [2].

#### Usage

```python
module = hub.Module("https://tfhub.dev/vtab/rotation/1")
height, width = hub.get_expected_image_size(module)
images = ...  # A batch of images with shape [batch_size, height, width, 3].
features = module(images)  # Features with shape [batch_size, num_features].
```

The input `images` are expected to have color values in the range [0,1], following
the [common image input](https://www.tensorflow.org/hub/common_signatures/images#input) conventions.
This module is suitable to be fine tuned.

#### References
[1] Spyros Gidaris, Praveer Singh, and Nikos Komodakis.
[Unsupervised Representation Learning by Predicting Image Rotations](https://openreview.net/forum?id=S1v4N2l0-).
In International Conference on Learning Representations, 2018.

[2] Alexander Kolesnikov, Xiaohua Zhai, and Lucas Beyer.
[Revisiting Self-Supervised Visual Representation Learning](http://openaccess.thecvf.com/content_CVPR_2019/papers/Kolesnikov_Revisiting_Self-Supervised_Visual_Representation_Learning_CVPR_2019_paper.pdf).
In IEEE Conference on Computer Vision and Pattern Recognition, 2019.
