# Module vtab/&zwnj;semi-rotation-10/1
Visual representation obtained by supervised training on 10% of the ImageNet
labels and with auxiliary Rotation loss on all of the ImageNet examples.

<!-- asset-path: https://storage.googleapis.com/vtab/semi-rotation-10/1.tar.gz -->
<!-- dataset: ImageNet (ILSVRC-2012-CLS) -->
<!-- module-type: image-feature-vector -->
<!-- network-architecture: ResNet50-v2 -->
<!-- fine-tunable: true -->
<!-- format: hub -->


## Overview
ResNet50-v2 trained with a supervised loss on 10% of the ImageNet examples and
with an auxiliary Rotation loss [1] on all of the examples [2].

#### Usage

```python
module = hub.Module("https://tfhub.dev/vtab/semi-rotation-10/1")
height, width = hub.get_expected_image_size(module)
images = ...  # A batch of images with shape [batch_size, height, width, 3].
features = module(images)  # Features with shape [batch_size, num_features].
```

The input `images` are expected to have color values in the range [0,1], following
the [common image input](https://www.tensorflow.org/hub/common_signatures/images#input) conventions.
This module is suitable to be fine tuned.

#### References
[1] Spyros Gidaris, Praveer Singh, and Nikos Komodakis.
[Unsupervised Representation Learning by Predicting Image Rotations](https://openreview.net/forum?id=S1v4N2l0-).
In International Conference on Learning Representations, 2018.

[2] Xiaohua Zhai, Avital Oliver, Alexander Kolesnikov, and Lucas Beyer.
[S4L: Self-Supervised Semi-Supervised Learning](https://arxiv.org/pdf/1905.03670.pdf).
IEEE International Conference on Computer Vision, 2019.
