# Module vtab/&zwnj;uncond-biggan/1
Visual representation obtained by an unconditional BigGAN discriminator

<!-- asset-path: https://storage.googleapis.com/vtab/uncond-biggan/1.tar.gz -->
<!-- dataset: ImageNet (ILSVRC-2012-CLS) -->
<!-- module-type: image-feature-vector -->
<!-- network-architecture: BigGAN -->
<!-- fine-tunable: true -->
<!-- format: hub -->


## Overview
Visual representation obtained from the discriminator of an unconditional BigGAN model
with auxiliary self-supervision trained on ImageNet [1,2].

#### Usage

```python
module = hub.Module("https://tfhub.dev/vtab/uncond-biggan/1")
height, width = hub.get_expected_image_size(module)
images = ...  # A batch of images with shape [batch_size, height, width, 3].
features = module(images)  # Features with shape [batch_size, num_features].
```

The input `images` are expected to have color values in the range [0,1], following
the [common image input](https://www.tensorflow.org/hub/common_signatures/images#input) conventions.
This module is suitable to be fine tuned.

#### References
[1] Ting Chen, Xiaohua Zhai, Marvin Ritter, Mario Lucic, and Neil Houlsby.
[Self-Supervised GANs via Auxiliary Rotation Loss](http://openaccess.thecvf.com/content_CVPR_2019/papers/Chen_Self-Supervised_GANs_via_Auxiliary_Rotation_Loss_CVPR_2019_paper.pdf).
In IEEE Conference on Computer Vision and Pattern Recognition, 2019.

[2] Mario Lucic, Michael Tschannen, Marvin Ritter, Xiaohua Zhai, Olivier Bachem, and Sylvain Gelly.
[High-Fidelity Image Generation With Fewer Labels](http://proceedings.mlr.press/v97/lucic19a/lucic19a.pdf).
In International Conference on Machine Learning, 2019.
