# Module vtab/&zwnj;vae/1
Visual representation obtained by training a VAE on ImageNet.

<!-- asset-path: https://storage.googleapis.com/vtab/vae/1.tar.gz -->
<!-- dataset: ImageNet (ILSVRC-2012-CLS) -->
<!-- module-type: image-feature-vector -->
<!-- network-architecture: VAE -->
<!-- fine-tunable: true -->
<!-- format: hub -->


## Overview
Encoder obtained by training a Variational Auto-Encoder on ImageNet [1].

#### Usage

```python
module = hub.Module("https://tfhub.dev/vtab/vae/1")
height, width = hub.get_expected_image_size(module)
images = ...  # A batch of images with shape [batch_size, height, width, 3].
features = module(images)  # Features with shape [batch_size, num_features].
```

The input `images` are expected to have color values in the range [0,1], following
the [common image input](https://www.tensorflow.org/hub/common_signatures/images#input) conventions.
This module is suitable to be fine tuned.

#### References
[1] Diederik P Kingma and Max Welling.
[Auto-Encoding Variational Bayes](https://openreview.net/forum?id=33X9fd2-9FyZd).
In International Conference on Learning Representations, 2014.
