# Module vtab/&zwnj;wae-gan/1
Visual representation obtained by training a WAE with a GAN loss.

<!-- asset-path: https://storage.googleapis.com/vtab/wae-gan/1.tar.gz -->
<!-- dataset: ImageNet (ILSVRC-2012-CLS) -->
<!-- module-type: image-feature-vector -->
<!-- network-architecture: WAE -->
<!-- fine-tunable: true -->
<!-- format: hub -->


## Overview
Encoder obtained by training a Wasserstein Auto-Encoder using GAN-based
distribution matching loss [1].

#### Usage

```python
module = hub.Module("https://tfhub.dev/vtab/wae-gan/1")
height, width = hub.get_expected_image_size(module)
images = ...  # A batch of images with shape [batch_size, height, width, 3].
features = module(images)  # Features with shape [batch_size, num_features].
```

The input `images` are expected to have color values in the range [0,1], following
the [common image input](https://www.tensorflow.org/hub/common_signatures/images#input) conventions.
This module is suitable to be fine tuned.

#### References
[1] Ilya Tolstikhin, Olivier Bousquet, Sylvain Gelly, and Bernhard Schoelkopf.
[Wasserstein Auto-Encoders](https://openreview.net/forum?id=HkL7n1-0b).
In International Conference on Learning Representations, 2018.
